Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.TimeBase
Class IntervalT

    java.lang.Object
      |
      +--org.omg.TimeBase.IntervalT

All Implemented Interfaces:
  IDLEntity, java.io.Serializable

public final class IntervalT
extends java.lang.Object
implements IDLEntity

Struct definition : IntervalT

Author:
  OpenORB Compiler
See Also:
  Serialized Form

Field Summary
`long` | `lower_bound` Struct member lower_bound
`long` | `upper_bound` Struct member upper_bound

Constructor Summary
`IntervalT()` Default constructor
`IntervalT(long lower_bound, long upper_bound)` Constructor with fields initialization

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### lower_bound

    public long lower_bound

  Struct member lower_bound

### upper_bound

    public long upper_bound

  Struct member upper_bound

Constructor Detail

### IntervalT

    public IntervalT()

  Default constructor

### IntervalT

    public IntervalT(long lower_bound,
                     long upper_bound)

  Constructor with fields initialization
  Parameters:
    `lower_bound` - lower_bound struct member
    `upper_bound` - upper_bound struct member

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD